Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.VariableDeclarationContext

- org.apache.groovy.parser.antlr4.GroovyParser.VariableDeclarationContext

-     public static class GroovyParser.VariableDeclarationContext
      extends GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VariableDeclarationContext (ParserRuleContext parent, int invokingState)`
    `VariableDeclarationContext (ParserRuleContext parent, int invokingState, int t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `ASSIGN()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public int` | `getRuleIndex()`
    `` | `public ModifiersContext` | `modifiers()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`
    `` | `public TypeContext` | `type()`
    `` | `public TypeNamePairsContext` | `typeNamePairs()`
    `` | `public VariableDeclaratorsContext` | `variableDeclarators()`
    `` | `public VariableInitializerContext` | `variableInitializer()`

- - ### Field Detail

    - #### public int t

  - ### Constructor Detail

    - #### public VariableDeclarationContext(ParserRuleContext parent, int invokingState)

    - #### public VariableDeclarationContext(ParserRuleContext parent, int invokingState, int t)

  - ### Method Detail

    - #### public TerminalNode ASSIGN()

    - #### <Result> @Override public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### @Override public int getRuleIndex()

    - #### public ModifiersContext modifiers()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)

    - #### public TypeContext type()

    - #### public TypeNamePairsContext typeNamePairs()

    - #### public VariableDeclaratorsContext variableDeclarators()

    - #### public VariableInitializerContext variableInitializer()